petsc-3.12.4 2020-02-04
Report Typos and Errors

# DMNetworkHasJacobian

Sets global flag for using user's sub Jacobian matrices -- replaced by DMNetworkSetOption(network,userjacobian,PETSC_TURE)?

### Synopsis

    #include "petscdmnetwork.h"
    PetscErrorCode DMNetworkHasJacobian(DM dm,PetscBool eflg,PetscBool vflg)

Collective

### Input Parameters

| dm | - The DMNetwork object
| eflg | - turn the option on (PETSC_TRUE) or off (PETSC_FALSE) if user provides Jacobian for edges
| vflg | - turn the option on (PETSC_TRUE) or off (PETSC_FALSE) if user provides Jacobian for vertices

### Level

intermediate

### Location

src/dm/impls/network/network.c
Index of all DMNetwork routines
Table of Contents for all manual pages
Index of all manual pages